package de.test.jemmy;

import org.netbeans.jemmy.*;
/*import org.netbeans.jemmy.explorer.*;*/
import org.netbeans.jemmy.operators.*;

/**
 *
 * @author alind001
 */
public class PolyJemmy implements Scenario {

    public int runIt(Object param) {
       	try {
            /* In Jemmy eingebauter GUI-Browser zum Betrachten der GUI-Elemente */
            new ClassReference("org.netbeans.jemmy.explorer.GUIBrowser").startApplication();
            new JFrameOperator("GUI Browser");

            /* Starte GUI des Polygonprogramms */
            new ClassReference("de.fhwiesbaden.poly.PolygonGUI").startApplication();
            JFrameOperator mainFrame = new JFrameOperator("Polygone");

            /* Ausführen von Aktionen in der GUI */
            new JButtonOperator(mainFrame, "Neues Polygon").push();
            new JButtonOperator(mainFrame, "Polygon zeichnen").push();
            JFrameOperator paintFrame = new JFrameOperator("\"Polygone\" by Andreas Lind");
            paintFrame.clickMouse(200, 300, 1);
            paintFrame.pressKey('n');
            paintFrame.clickMouse(400, 300, 1);
            paintFrame.pressKey('n');
            paintFrame.clickMouse(400, 500, 1);
            paintFrame.pressKey('n');
            paintFrame.clickMouse(200, 500, 1);
            paintFrame.pressKey('n');
            paintFrame.clickMouse(200, 300, 1);
            paintFrame.pressKey('n');
            paintFrame.clickMouse(300, 200, 1);
            paintFrame.pressKey('n');
            paintFrame.clickMouse(400, 300, 1);
            paintFrame.pressKey('n');
            paintFrame.waitClosed();

        } catch(Exception e) {
            e.printStackTrace();
            return(1);
        }
        return(0);
    }

    public static void main(String[] args) {
        String[] params = {"de.test.jemmy.PolyJemmy"};
    	org.netbeans.jemmy.Test.main(params);
    }
}